import { NavigateOptions } from "react-router";
export declare type ParamKeyValuePair = [string, string];
export declare type URLSearchParamsInit = string | ParamKeyValuePair[] | Record<string, string | string[]> | URLSearchParams;
export declare function createSearchParams(init?: URLSearchParamsInit): URLSearchParams;
declare type SetURLSearchParams = (nextInit?: URLSearchParamsInit | undefined, navigateOpts?: NavigateOptions | undefined) => void;
export declare function useSearchParams(defaultInit?: URLSearchParamsInit): [object, SetURLSearchParams];
export {};
