import { To } from "react-router";
import { NestedHistory, PrefixIndexes, GoConfig } from "./nativeHistory";
declare const useNestedHistory: ({ initialHistory, attachWebURLOn, }: {
    initialHistory?: NestedHistory;
    attachWebURLOn?: string;
}) => {
    location: import("history").Location;
    history: NestedHistory;
    go: (config?: GoConfig) => boolean;
    push: (to: To, state?: unknown) => void;
    replace: (to: To, state?: unknown) => void;
    removePrefix: (prefix: string) => void;
    resetPrefix: (prefix: string) => void;
    applyPrefixIndexesToHistory: (prefixIndexes: PrefixIndexes) => void;
    getHistoryForPrefix: (prefix: string) => import("history").Location[];
    getHistoryWithIndexesForPrefix: (prefix: string) => {
        location: import("history").Location;
        prefixIndexes: PrefixIndexes;
    }[];
};
export default useNestedHistory;
