import { ComponentProps } from "react";
import { ViewStyle } from "react-native";
import type { ScreenStackHeaderConfig } from "react-native-screens";
export declare type ScreenConfig = {
    title?: string;
    stackHeaderConfig?: ComponentProps<typeof ScreenStackHeaderConfig>;
    containerStyle?: ViewStyle;
};
export declare type ScreensConfig = {
    [path: string]: ScreenConfig;
};
