import React from "react";
import { Navigate } from "react-router";
import { useFocus } from "../contexts/FocusContext";
export default (props) => {
    const { isFocused } = useFocus();
    if (!isFocused)
        return null;
    return <Navigate {...props}/>;
};
