import { ComponentProps } from "react";
import { Route as RRRoute } from "react-router";
import { ScreenConfig } from "../navigators/StackNavigator/commons";
import { TabConfig } from "../navigators/TabNavigator/commons";
export declare type RouteConfig = TabConfig<unknown> & ScreenConfig;
declare type RouteProps = ComponentProps<typeof RRRoute> & RouteConfig;
declare const Route: (props: RouteProps) => JSX.Element | null;
export default Route;
