import { Path, To } from "history";
export declare const last: <T>(a: T[]) => T;
export declare const combineUrlSegments: (...urls: (string | undefined)[]) => string;
export declare const prependSlash: (url: string) => string;
export declare const surroundSlash: (url: string) => string;
export declare const uniqueBy: <T>(array: T[], key: (t: T) => string) => T[];
export declare const uniqueByIfConsequtive: <T>(array: T[], key: (t: T) => string) => T[];
export declare const getToAsPieces: (to: To) => Partial<Path>;
export declare const getToPiecesAsString: (to: To) => string;
